Bug 1434952 - delete action in /api/orchestration_templates results in error
Summary: delete action in /api/orchestration_templates results in error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.3
Assignee: Šimon Lukašík
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:stack
Depends On: 1414881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 17:24 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1414881
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-13 22:11:13 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9608b9009e5306ede9b6862abba3eee681b02f83

commit 9608b9009e5306ede9b6862abba3eee681b02f83
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Mar 21 15:03:23 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 18:09:33 2017 -0400

    Merge pull request #14097 from isimluk/rhbz#1414881
    
    Return result of destroy action to user, not nil
    (cherry picked from commit 9aa0cfe1ea89a277b7cf28efe0024ee21a0d3b3c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434952

 app/controllers/api/orchestration_templates_controller.rb |  3 ++-
 spec/requests/api/orchestration_template_spec.rb          | 12 ++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

Comment 3 Martin Kourim 2017-06-14 16:50:58 UTC
Verified that on 5.7.3.1 it's possible to do
POST /api/orchestration_templates/:id
{ "action" : "delete" }

Comment 5 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.